'
' Copyright (c) DataEnter, Michael Kocum 1991-2007
'
' LDAPQuery-ISP.vbs is a pass-though script for LDAPQuery.vbs that allows to set a
' different DNC, user and password for each domain
'
' Usage: LDAPQuery-ISP.vbs e-mail [other arguments]"
'
' History:
'
' v1.00  2007-08-12  Created
' v1.01  2007-08-16  exit for domain that should not queried
'
'---------------------------------------------------------------------------
Option Explicit
On Error Resume Next

Dim WSHShell
Set WSHShell  = WScript.CreateObject ("WScript.Shell")
'---------------------------------------------------------------------------

'Verify that we have an e-mail address
If WScript.Arguments.Count < 1 Then
   WScript.Echo " Usage: LDAPQuery-ISP.vbs e-mail [other arguments]"
   WScript.Quit( 3 )
End If

Dim szCmd , szEmail , iErrorLevel , iWindowStyle , iArgIdx , szUser , szPass , szDNC , szDomain

szUser   = ""
szPass   = ""
szDNC    = ""
szCmd    = "cscript.exe " & GetFullScriptPath() & "LDAPQuery.vbs"
szEmail  = WScript.Arguments( 0 )
szDomain = GetDomainFromEmail( szEmail )

' Todo: Adjust DNC, user and password for each domain

Select Case szDomain
Case "domain1.com"

   szDNC  = "pdc1"
   szUser = "user1"
   szPass = "pass1"

Case "domain2.com"

   szDNC  = "pdc2"
   szUser = ""
   szPass = ""

Case "domain3.com"   ' Sample domain that should not queried

   ' immediately exit the script
   WScript.Quit( 5 )

End Select


' Build the command line with DNC, user and password
szCmd = szCmd & " " & szEmail
If szDNC <> "" Then
   szCmd = szCmd & " " & szDNC
End If

If szUser <> "" Then
   szCmd = szCmd & " -u" & szUser
End If

If szPass <> "" Then
   szCmd = szCmd & " -p" & szPass
End If

' Get the remaining Arguments
iArgIdx = 1
Do While iArgIdx <= Wscript.Arguments.Count - 1

   szCmd = szCmd & " " & WScript.Arguments( iArgIdx )
   iArgIdx = iArgIdx + 1

Loop

WScript.Echo "Domain:" & szDomain
WScript.Echo "   Run:" & szCmd

iErrorLevel = WSHShell.Run( szCMD , 5 , True )

WScript.Quit( iErrorLevel )

'-----------------------------------------------------------------------------
Function GetFullScriptPath()

   ' Get the full path from the script and build a
   ' full filename for datauser.dat
   Dim szPath , szScript

   szPath   = WScript.ScriptFullName
   szScript = WScript.ScriptName

   ' Remove the script name from the full path
   szPath = Left( szPath , Len( szPath ) - Len( szScript ) )

   GetFullScriptPath = szPath

End Function
'-----------------------------------------------------------------------------
Function GetDomainFromEmail( ByVal szEmail )

   Dim iPos, szDomain

   iPos = InStr( 1 , szEmail , "@"  )

   If iPos > 0 Then
      GetDomainFromEmail = Mid( szEmail , iPos + 1 )
   Else
      GetDomainFromEmail = szEmail
   End If

End Function
'-----------------------------------------------------------------------------

